Bug 972685 (CVE-2013-4080)

Summary: CVE-2013-4080 wireshark: DoS (infinite loop, CPU & memory consumption) in the Assa Abloy R3 dissector (wnpa-sec-2013-38)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: huzaifas, jrusnack, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130607,reported=20130609,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,fedora-17/wireshark=affected,fedora-18/wireshark=affected,cwe=CWE-835[auto]
Fixed In Version: wireshark-1.8.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-11 00:50:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 972760, 972762, 979246    
Bug Blocks: 972772    

Description Jan Lieskovsky 2013-06-10 08:05:49 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4080 to the following vulnerability:

The dissect_r3_upstreamcommand_queryconfig function in epan/dissectors/packet-assa_r3.c in the Assa Abloy R3 dissector in Wireshark 1.8.x before 1.8.8 does not properly handle a zero-length item, which allows remote attackers to cause a denial of service (infinite loop, and CPU and memory consumption) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-assa_r3.c?r1=49744&r2=49743&pathrev=49744
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=49744
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.8.8.html
[4] http://www.wireshark.org/security/wnpa-sec-2013-38.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8764
Comment 1 Jan Lieskovsky 2013-06-10 10:03:35 EDT
This issue affects the versions of the wireshark package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-06-10 10:27:59 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-17 [bug 972760]
Comment 3 Jan Lieskovsky 2013-06-10 10:36:41 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 972762]
Comment 4 Huzaifa S. Sidhpurwala 2013-06-11 00:49:31 EDT
The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for Assa Abloy R3 Protocol. Therefore this flaw does not affect these versions.
Comment 5 Huzaifa S. Sidhpurwala 2013-06-11 00:50:11 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 6 Vincent Danen 2013-06-14 14:23:12 EDT
External References:

http://www.wireshark.org/security/wnpa-sec-2013-38.html
Comment 7 Fedora Update System 2013-09-27 20:13:37 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-02 21:04:33 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-19 02:11:13 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.